## xfonts-arphic 2.11.1

=== debian/changelog ===
xfonts-arphic (2.11.1) frozen unstable; urgency=low

  * To release manager: The following is the only significant change in
    2.11.1.  Since xfonts-arphic-* were not in Slink, i.e. a new
    package in Potato, it would be best to have this small problem
    fixed _now_ to prevent future problems.  Thanks a million!  :-)
  * For the slanted fonts, changed to use "i" (italics) instead of "o"
    (oblique), for compatibility with the convention used in other
    Chinese GNU/Linux distributions.
  * [README.Debian]: Suggests a default font size of 16.0 or greater.

 -- Anthony Fok <foka@debian.org>  Tue, 30 May 2000 03:27:31 -0600

xfonts-arphic (2.11) frozen unstable; urgency=low

  * To Release Manager: As the changes are minimal, and it would
    reduce the overhead and improve the stability of the X server and
    X font server, please include it in potato.
  * Removed the number of aliases for the fonts.  There were 648 aliases
    for each single Chinese TTF font, most of them just for circumventing
    the font size glitch in Netscape 4.x.  No wonder xlsfonts was so slow.
    Mea culpa.  :-)  The number of aliases has been reduced to 88.
  * [README.Debian]: Added a note to tell the users to use -default-*
     instead of -arphic-* in Netscape 4.x for the Chinese TrueType
     fonts to be displayed properly.

 -- Anthony Fok <foka@debian.org>  Sat, 13 May 2000 02:54:17 -0600

xfonts-arphic (2.10) unstable; urgency=low

  * Initial release.
  * Special thanks to Arphic Technology Co., Ltd. and to the
    Chinese GNU/Linux Extension Team for their effort in bringing
    our dream to reality!  :-)

 -- Anthony Fok <foka@debian.org>  Sun, 26 Dec 1999 22:10:00 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "foka@debian.org"
End:
