=== debian/control ===
Source: xfonts-arphic
Build-Depends: debhelper (>= 2.0.72), perl5
Section: x11
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 3.1.1

Package: xfonts-arphic-bsmi00lp
Architecture: all
Depends: ttf-arphic-bsmi00lp, xbase-clients (>= 3.3.6-4), xfs-xtt (>> 1:1.3.0.1-3)
Description: X11 fontmap files for Arphic "AR PL Mingti2L Big5" TrueType font
 This package contains the X11 fontmap files (fonts.scale and fonts.alias)
 for the Arphic "AR PL Mingti2L Big5" Chinese TrueType font.
 .
 You need to install xfs-xtt (X-TT TrueType font server) or equilvalent
 in order to use this font in X11.
 .
 "AR PL Mingti2L Big5" is a high-quality Chinese TrueType font
 (bsmi00lp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/

Package: xfonts-arphic-bkai00mp
Architecture: all
Depends: ttf-arphic-bkai00mp, xbase-clients (>= 3.3.6-4), xfs-xtt (>> 1:1.3.0.1-3)
Description: X11 fontmap files for Arphic "AR PL KaitiM Big5" TrueType font
 This package contains the X11 fontmap files (fonts.scale and fonts.alias)
 for the Arphic "AR PL KaitiM Big5" Chinese TrueType font.
 .
 You need to install xfs-xtt (X-TT TrueType font server) or equilvalent
 in order to use this font in X11.
 .
 "AR PL KaitiM Big5" is a high-quality Chinese TrueType font
 (bkai00mp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/

Package: xfonts-arphic-gbsn00lp
Architecture: all
Depends: ttf-arphic-gbsn00lp, xbase-clients (>= 3.3.6-4), xfs-xtt (>> 1:1.3.0.1-3)
Description: X11 fontmap files for Arphic "AR PL SungtiL GB" TrueType font
 This package contains the X11 fontmap files (fonts.scale and fonts.alias)
 for the Arphic "AR PL SungtiL GB" Chinese TrueType font.
 .
 You need to install xfs-xtt (X-TT TrueType font server) or equilvalent
 in order to use this font in X11.
 .
 "AR PL SungtiL GB" is a high-quality Chinese TrueType font
 (gbsn00lp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/

Package: xfonts-arphic-gkai00mp
Architecture: all
Depends: ttf-arphic-gkai00mp, xbase-clients (>= 3.3.6-4), xfs-xtt (>> 1:1.3.0.1-3)
Description: X11 fontmap files for Arphic "AR PL KaitiM GB" TrueType font
 This package contains the X11 fontmap files (fonts.scale and fonts.alias)
 for the Arphic "AR PL KaitiM GB" Chinese TrueType font.
 .
 You need to install xfs-xtt (X-TT TrueType font server) or equilvalent
 in order to use this font in X11.
 .
 "AR PL KaitiM GB" is a high-quality Chinese TrueType font
 (gkai00mp.ttf) generously provided by Arphic Technology to the Free
 Software community under the "Arphic Public License".
 .
  Author: Arphic Technology Co., Ltd.
     URL: http://www.arphic.com.tw/
