=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for xfonts-arphic for Debian.
# GNU GPL v2, Copyright (C) 1999, Anthony Fok <foka@debian.org>

package = xfonts-arphic
SHELL = /bin/sh

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Arphic PL fonts information

fonts = bsmi bkai gbsn gkai

bsmi_typeface = bsmi00lp
bsmi_familyname = AR PL Mingti2L Big5

bkai_typeface = bkai00mp
bkai_familyname = AR PL KaitiM Big5

gbsn_typeface = gbsn00lp
gbsn_familyname = AR PL SungtiL GB

gkai_typeface = gkai00mp
gkai_familyname = AR PL KaitiM GB

fonttype = truetype
foundry = arphic

typeface = $($(abbrev)_typeface)
familyname = $($(abbrev)_familyname)
bin-package = xfonts-$(foundry)-$(typeface)
binary_fonts = $(addprefix binary_,$(fonts))
install_fonts = $(addprefix install_,$(fonts))
clean_fonts = $(addprefix clean_,$(fonts))

# Path names

d = debian/$(bin-package)
texmf = usr/share/texmf
fontpath = usr/share/fonts/$(fonttype)/$(foundry)
X11_fontpath = usr/X11R6/lib/X11/fonts/TrueType
etc_fontpath = etc/X11/fonts/TrueType

build: build-stamp
build-stamp:
	dh_testdir
	./gen_scale_alias.pl
	touch build-stamp

clean: pre-clean $(clean_fonts)
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	chmod +x gen_scale_alias.pl

	dh_clean

pre-clean:
	cd debian; cp control.stem.in control

$(clean_fonts): abbrev = $(patsubst clean_%,%,$@)
$(clean_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
$(clean_fonts):
	cd debian; \
	    sed -e 's/@TYPEFACE@/$(typeface)/g' \
		-e 's/@FAMILYNAME@/$(familyname)/g' \
		control.leaf.in >> control
	cd debian; \
	    sed -e 's/@FAMILYNAME@/$(familyname)/g' \
		-e 's/@TYPEFACE@/$(typeface)/g' \
		copyright.in > $(bin-package).copyright
	cd debian; \
	    sed -e 's/@TYPEFACE@/$(typeface)/g' \
		README.Debian.in > $(bin-package).README.Debian
	cd debian; \
	    echo "/$(etc_fontpath)/$(bin-package).scale" \
		> $(bin-package).conffiles; \
	    echo "/$(etc_fontpath)/$(bin-package).alias" \
		>> $(bin-package).conffiles
	rm -f $(bin-package).scale $(bin-package).alias
	dh_clean $(DH_OPTIONS) 

install: build $(install_fonts)
$(install_fonts): abbrev = $(patsubst install_%,%,$@)
$(install_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
$(install_fonts):
	dh_testversion 1.1.17
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS) $(X11_fontpath) $(etc_fontpath)
	ln -s ../../../../../share/fonts/$(fonttype)/$(foundry)/$(typeface).ttf \
		$(d)/$(X11_fontpath)/
	cp -av $(bin-package).scale $(bin-package).alias \
		$(d)/$(etc_fontpath)

# Build architecture-independent files here.
binary-indep: build install $(binary_fonts)
$(binary_fonts): abbrev = $(patsubst binary_%,%,$@)
$(binary_fonts): DH_OPTIONS = -p$(bin-package) -P$(d)
$(binary_fonts):
	dh_testversion 1.1.17
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_installdocs $(DH_OPTIONS)
	dh_installchangelogs $(DH_OPTIONS)
	dh_installxfonts $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)
	dh_compress $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_installdeb $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install \
	$(fonts) $(install_fonts) $(binary_fonts) $(clean_fonts) pre-clean
